Name:		axel
Summary:	A lightweight download accelerator by using multiple connections
Version:	2.17.9
Release:	%mkrel 1
Group:		Networking/WWW
License:	GPLv2+
URL:		https://github.com/axel-download-accelerator/axel
Source0:	https://github.com/axel-download-accelerator/axel/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	pkgconfig(openssl)

Obsoletes:	axel-kapt < 0.3-13

%description
Axel tries to accelerate HTTP/FTP downloading process by using multiple
connections for one file. It can use multiple mirrors for a download. Axel has
no dependencies and is lightweight, so it might be useful as a wget clone on
byte-critical systems.

%prep
%setup -q

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 -p -T doc/axelrc.example %{buildroot}%{_sysconfdir}/axelrc

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc ChangeLog CONTRIBUTING.md README.md
%license COPYING CREDITS
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_mandir}/man1/%{name}.1.*


%changelog
* Sat Jul 11 2020 daviddavid <daviddavid> 2.17.9-1.mga8
+ Revision: 1604828
- new version: 2.17.9

* Wed Jun 10 2020 daviddavid <daviddavid> 2.17.8-2.mga8
+ Revision: 1591656
- rebuild to increase release because of mga7 one

* Tue Apr 28 2020 daviddavid <daviddavid> 2.17.8-1.mga8
+ Revision: 1572811
- new version: 2.17.8

* Thu Feb 20 2020 umeabot <umeabot> 2.17.7-2.mga8
+ Revision: 1546521
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 2.17.7-1.mga8
+ Revision: 1486700
- new version: 2.17.7
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 03 2019 daviddavid <daviddavid> 2.17.6-1.mga8
+ Revision: 1436520
- new version: 2.17.6

* Sun Jul 21 2019 daviddavid <daviddavid> 2.17.4-1.mga8
+ Revision: 1423244
- new version: 2.17.4

* Fri Jul 19 2019 daviddavid <daviddavid> 2.17.3-1.mga8
+ Revision: 1422673
- new version: 2.17.3

* Fri Sep 21 2018 umeabot <umeabot> 2.16.1-2.mga7
+ Revision: 1295211
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 daviddavid <daviddavid> 2.16.1-1.mga7
+ Revision: 1236658
- new version: 2.16.1
- update URL and Source URL
- removed axel-kapt depended on kaptain that is no longer
  available for QT5 (dead upstream development)

* Wed Feb 10 2016 umeabot <umeabot> 2.4-12.mga6
+ Revision: 953114
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 2.4-11.mga6
+ Revision: 879810
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 2.4-10.mga6
+ Revision: 875139
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 2.4-9.mga5
+ Revision: 741978
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4-8.mga5
+ Revision: 678085
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.4-7.mga4
+ Revision: 522537
- Mageia 4 Mass Rebuild

* Sun Mar 17 2013 lmenut <lmenut> 2.4-6.mga3
+ Revision: 403597
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Fri Jan 11 2013 umeabot <umeabot> 2.4-5.mga3
+ Revision: 346748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 18 2012 matteo <matteo> 2.4-4.mga2
+ Revision: 197844
- fixed requires
- added conflicts to ease upgrade

* Tue Jan 17 2012 matteo <matteo> 2.4-3.mga2
+ Revision: 197470
- fixed wrong xz br
- used find_lang to handle localized man pages

* Tue Jan 17 2012 matteo <matteo> 2.4-2.mga2
+ Revision: 197460
- axel-kapt man pages provided by axel-kapt package
- added xz as buildrequire
- fixed release
- fixed missing br
- fixed packages groups
- fixed axel-kapt desktopfile
- release number increased
- fixed Group entries for axel and axel-kapt

* Tue Jul 12 2011 matteo <matteo> 2.4-1.mga2
+ Revision: 123222
- axel.spec: axel-kapt subpackage fixed to be noarch
- imported package axel


* Sun May 29 2011 Matteo Pasotti <pasotti.matteo@gmail.com> 2.4-1
- create spec 

